View Issue Details

IDProjectCategoryView StatusLast Update
0000664luatexfeature requestpublic2015-11-08 11:24
ReporterpatrickAssigned ToHans Hagen 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
PlatformApple/Intel/64bitOSOS XOS Version10.6
Product Version0.70.1 
Target VersionFixed in Version0.85.0 
Summary0000664: intercept pdf warnings
DescriptionSometimes I get warnings like these:

LuaTeX warning: PDF inclusion: found PDF version <1.6>, but at most version <1.4> allowed

I use img.scan() and img.copy() for image inclusion.


I'd like to intercept these warnings to present them in another way to the user.
TagsNo tags attached.

Activities

Paul Isambert

2011-05-26 09:54

reporter   ~0000861

Sorry to interfere with your request, but wouldn't it be simpler (more general) to have a callback on error messages (or warnings)? I think it was already discussed (in order to localise messages, if I remember correctly), but I can't remember where it was left at.

patrick

2011-05-26 09:58

reporter   ~0000862

A callback would be great. Good idea.

Hans Hagen

2011-05-30 12:21

manager   ~0000871

It is part of a larger thing ... pass all backend related messages through a callback (images, fonts, those ext* messsages) ... message interception is on the agenda for when more code has been cleaned op (also the tex error messages)

Hans Hagen

2014-03-30 11:36

manager   ~0001257

will be done > 0.79 ... error messages already can be intercepted, but the backend also has warnings (so that can become a warning callback plus lastwarning in status table, similar to errors)

Hans Hagen

2015-11-08 11:24

manager   ~0001521

show_warning_message callback (when a real error, the normal error callbacks)

Issue History

Date Modified Username Field Change
2011-05-25 16:53 patrick New Issue
2011-05-26 09:54 Paul Isambert Note Added: 0000861
2011-05-26 09:58 patrick Note Added: 0000862
2011-05-29 08:55 Taco Assigned To => Taco
2011-05-29 08:55 Taco Status new => assigned
2011-05-30 12:21 Hans Hagen Note Added: 0000871
2012-08-10 15:43 oneiros Severity minor => feature
2014-03-30 11:34 Hans Hagen Assigned To Taco => Hans Hagen
2014-03-30 11:36 Hans Hagen Note Added: 0001257
2015-11-08 11:24 Hans Hagen Note Added: 0001521
2015-11-08 11:24 Hans Hagen Status assigned => closed
2015-11-08 11:24 Hans Hagen Resolution open => fixed
2015-11-08 11:24 Hans Hagen Fixed in Version => 0.85.0